<?php
/**
 * Class MassDeleteEmailAliasForm
 * User: ThurData
 * Date: 2019-10-11
 * Time: 11:30
 * @package ThurData\Servers\KerioEmail\App\UI\Client\EmailAlias\Forms
 */

namespace ThurData\Servers\KerioEmail\App\UI\Client\EmailAlias\Forms;

use ThurData\Servers\KerioEmail\App\UI\Client\EmailAlias\Providers\DeleteEmailAliasDataProvider;
use ThurData\Servers\KerioEmail\Core\UI\Interfaces\ClientArea;
use ThurData\Servers\KerioEmail\Core\UI\Widget\Forms\BaseForm;

class MassDeleteEmailAliasForm extends BaseForm implements ClientArea
{
    protected $id    = 'massDeleteEmailAliasForm';
    protected $name  = 'massDeleteEmailAliasForm';
    protected $title = 'massDeleteEmailAliasForm';

    protected function getDefaultActions()
    {
        return ['massDelete'];
    }

    public function initContent()
    {
        $this->setFormType('massDelete');
        $this->dataProvider = new DeleteEmailAliasDataProvider();

        $this->setConfirmMessage('massDeleteEmailAliasModalConfirm');


        $this->loadDataToForm();
    }

}